=== debian/control ===
Source: trilinos
Homepage: http://trilinos.org
Section: science
Priority: extra
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Nico Schlömer <nico.schloemer@gmail.com>
Build-Depends: debhelper (>= 9),
 binutils-dev,
 libiberty-dev,
 cmake (>= 2.8.11),
 gfortran,
 libopenmpi-dev,
 libblas-dev,
 libboost-dev,
 libboost-system-dev,
 libboost-program-options-dev,
 libglm-dev,
 libhdf5-openmpi-dev,
 liblapack-dev,
 libmumps-dev (>= 4.10),
 libptscotch-dev,
 libsuperlu-dev,
 libtbb-dev,
 zlib1g-dev
Build-Depends-Indep: doxygen,
 ghostscript,
 graphviz,
 libjs-mathjax,
 python,
 texlive-binaries,
 texlive-latex-base,
 texlive-latex-extra
Standards-Version: 3.9.6
Vcs-Git: git://anonscm.debian.org/debian-science/packages/trilinos.git
Vcs-Browser: https://anonscm.debian.org/gitweb/?p=debian-science/packages/trilinos.git

Package: trilinos-all-dev
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${mydevpackages}
Suggests: trilinos-doc
Description: object-oriented framework for large-scale problems - development files (ALL)
 The Trilinos Project is an effort to develop algorithms and enabling
 technologies within an object-oriented software framework for the
 solution of large-scale, complex multi-physics engineering and
 scientific problems. A unique design feature of Trilinos is its
 focus on packages.
 .
 This package depends on all Trilinos development packages.

Package: trilinos-dev
Architecture: any
Section: libs
Depends: ${misc:Depends}
Suggests: trilinos-doc
Description: object-oriented framework for large-scale problems - development files
 The Trilinos Project is an effort to develop algorithms and enabling
 technologies within an object-oriented software framework for the
 solution of large-scale, complex multi-physics engineering and
 scientific problems. A unique design feature of Trilinos is its
 focus on packages.
 .
 This package contains the development header and some makefile templates.

Package: libtrilinos-amesos12
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: direct sparse solver package - runtime files
 Amesos is the Direct Sparse Solver Package in Trilinos. The goal of Amesos is
 to make AX=B as easy as it sounds, at least for direct methods. Amesos
 provides clean and consistent interfaces to a number of third-party libraries.
 .
 This package contains the dynamic libraries.

Package: libtrilinos-amesos-dev
Architecture: any
Section: libdevel
Depends: libtrilinos-amesos12 (= ${binary:Version}), trilinos-dev, ${misc:Depends}
Suggests: trilinos-doc
Description: direct sparse solver package - development files
 Amesos is the Direct Sparse Solver Package in Trilinos. The goal of Amesos is
 to make AX=B as easy as it sounds, at least for direct methods. Amesos
 provides clean and consistent interfaces to a number of third-party libraries.
 .
 This package provides headers.

Package: libtrilinos-amesos2-12
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: next generation direct sparse solver package - runtime files
 Amesos2 is a package for solving sparse linear systems using direct solvers.
 It differs from Amesos in that it is templated on the scalar and index types.
 KLU2 is the only native solver.
 .
 This package contains the dynamic libraries.

Package: libtrilinos-amesos2-dev
Architecture: any
Section: libdevel
Depends: libtrilinos-amesos2-12 (= ${binary:Version}), trilinos-dev, ${misc:Depends}
Suggests: trilinos-doc
Description: next generation direct sparse solver package - development files
 Amesos2 is a package for solving sparse linear systems using direct solvers.
 It differs from Amesos in that it is templated on the scalar and index types.
 KLU2 is the only native solver.
 .
 This package provides headers.

Package: libtrilinos-anasazi12
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: large-scale eigenvalue algorithms - runtime files
 Anasazi is an extensible and interoperable framework for large-scale
 eigenvalue algorithms. The motivation for this framework is to provide a
 generic interface to a collection of algorithms for solving large-scale
 eigenvalue problems. Anasazi is interoperable because both the matrix and
 vectors (defining the eigenspace) are considered to be opaque objects -- only
 knowledge of the matrix and vectors via elementary operations is necessary.
 .
 This package contains the dynamic libraries.

Package: libtrilinos-anasazi-dev
Architecture: any
Section: libdevel
Depends: libtrilinos-anasazi12 (= ${binary:Version}), trilinos-dev, ${misc:Depends}
Suggests: trilinos-doc
Description: large-scale eigenvalue algorithms - development files
 Anasazi is an extensible and interoperable framework for large-scale
 eigenvalue algorithms. The motivation for this framework is to provide a
 generic interface to a collection of algorithms for solving large-scale
 eigenvalue problems. Anasazi is interoperable because both the matrix and
 vectors (defining the eigenspace) are considered to be opaque objects -- only
 knowledge of the matrix and vectors via elementary operations is necessary.
 .
 This package provides headers.

Package: libtrilinos-aztecoo12
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: object-oriented interface to the Aztec solver - runtime files
 AztecOO provides an object-oriented interface to the well-known Aztec solver
 library. Furthermore, it allows flexible construction of matrix and vector
 arguments via Epetra matrix and vector classes. Finally, AztecOO provide
 additional functionality not found in Aztec and any future enhancements to the
 Aztec package will be available only through the AztecOO interfaces.
 .
 This package contains the dynamic libraries.

Package: libtrilinos-aztecoo-dev
Architecture: any
Section: libdevel
Depends: libtrilinos-aztecoo12 (= ${binary:Version}), trilinos-dev, ${misc:Depends}
Suggests: trilinos-doc
Description: object-oriented interface to the Aztec solver - development files
 AztecOO provides an object-oriented interface to the well-known Aztec solver
 library. Furthermore, it allows flexible construction of matrix and vector
 arguments via Epetra matrix and vector classes. Finally, AztecOO provide
 additional functionality not found in Aztec and any future enhancements to the
 Aztec package will be available only through the AztecOO interfaces.
 .
 This package provides headers.

Package: libtrilinos-belos12
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: iterative linear solvers - runtime files
 Belos provides next-generation iterative linear solvers and a powerful linear
 solver developer framework. This framework includes abstract interfaces to
 linear algebra using traits mechanisms, abstract interfaces to
 orthogonalization, abstract interfaces to iteration kernels, powerful solver
 managers, and a basic linear problem class.
 .
 This package contains the dynamic libraries.

Package: libtrilinos-belos-dev
Architecture: any
Section: libdevel
Depends: libtrilinos-belos12 (= ${binary:Version}), trilinos-dev, ${misc:Depends}
Suggests: trilinos-doc
Description: iterative linear solvers - development files
 Belos provides next-generation iterative linear solvers and a powerful linear
 solver developer framework. This framework includes abstract interfaces to
 linear algebra using traits mechanisms, abstract interfaces to
 orthogonalization, abstract interfaces to iteration kernels, powerful solver
 managers, and a basic linear problem class.
 .
 This package provides headers.

Package: libtrilinos-epetra12
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: basis package for linear algebra - runtime files
 Epetra provides the fundamental construction routines and services function
 that are required for serial and parallel linear algebra libraries. Epetra
 provides the underlying foundation for all Trilinos solvers.
 .
 This package contains the dynamic libraries.

Package: libtrilinos-epetra-dev
Architecture: any
Section: libdevel
Depends: libtrilinos-epetra12 (= ${binary:Version}), trilinos-dev, ${misc:Depends}
Suggests: trilinos-doc
Description: basis package for linear algebra - development files
 Epetra provides the fundamental construction routines and services function
 that are required for serial and parallel linear algebra libraries. Epetra
 provides the underlying foundation for all Trilinos solvers.
 .
 This package provides headers.

Package: libtrilinos-epetraext12
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: extensions to the Epetra toolkit - runtime files
 EpetraExt provides tools and functions that make it easier to work with
 Epetra.
 .
 This package contains the dynamic libraries.

Package: libtrilinos-epetraext-dev
Architecture: any
Section: libdevel
Depends: libtrilinos-epetraext12 (= ${binary:Version}), trilinos-dev, ${misc:Depends}
Suggests: trilinos-doc
Description: extensions to the Epetra toolkit - development files
 EpetraExt provides tools and functions that make it easier to work with
 Epetra.
 .
 This package provides headers.

Package: libtrilinos-galeri12
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: generation of distributed linear systems - runtime files
 The Trilinos package Galeri contains a suite of utilities and classes to
 generate a variety of (distributed) linear systems. Galeri's functionalities
 are very close to that of the MATLAB's gallery() function.
 Several well-known finite element and finite difference matrices can be
 generated using only a few simple code lines.
 .
 This package contains the dynamic libraries.

Package: libtrilinos-galeri-dev
Architecture: any
Section: libdevel
Depends: libtrilinos-galeri12 (= ${binary:Version}), trilinos-dev, ${misc:Depends}
Suggests: trilinos-doc
Description: generation of distributed linear systems - development files
 The Trilinos package Galeri contains a suite of utilities and classes to
 generate a variety of (distributed) linear systems. Galeri's functionalities
 are very close to that of the MATLAB's gallery() function.
 Several well-known finite element and finite difference matrices can be
 generated using only a few simple code lines.
 .
 This package provides headers.

Package: libtrilinos-globipack12
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: 1D globalization capabilities - runtime files
 The GlobiPack package contains a set of interfaces and implementations for 1D
 globalization capabilities to be used in nonlinear solvers, optimization
 solvers, and similar algorithms that require globalization methods (e.g. line
 search and trust region methods). Basic interfaces and a few implementations
 are present for 1D line search methods appropritate for Newton, quasi-Newton,
 and nonlinear CG algorithms.
 .
 This package contains the dynamic libraries.

Package: libtrilinos-globipack-dev
Architecture: any
Section: libdevel
Depends: libtrilinos-globipack12 (= ${binary:Version}), trilinos-dev, ${misc:Depends}
Suggests: trilinos-doc
Description: 1D globalization capabilities - development files
 The GlobiPack package contains a set of interfaces and implementations for 1D
 globalization capabilities to be used in nonlinear solvers, optimization
 solvers, and similar algorithms that require globalization methods (e.g. line
 search and trust region methods). Basic interfaces and a few implementations
 are present for 1D line search methods appropritate for Newton, quasi-Newton,
 and nonlinear CG algorithms.
 .
 This package provides headers.

Package: libtrilinos-ifpack12
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: algebraic preconditioners - runtime files
