=== debian/watch ===
version=3

https://trilinos.org/oldsite/download/files/trilinos-(.*)-Source.tar.bz2
